Bug 814221 - Split documentation into separate RPM subpackage
Split documentation into separate RPM subpackage
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.1
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 07:56 EDT by Stephen Gallagher
Modified: 2014-06-17 08:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 08:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-04-19 07:56:24 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1302

The documentation is starting to get fairly large, with translations. It would be better to separate it into its own subpackage that can be left off of space-constrained install media like LiveCDs.
Comment 1 RHEL Product and Program Management 2012-07-10 02:12:55 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:05:44 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Martin Kosek 2014-06-17 08:17:16 EDT
Upstream ticket was closed. Stephen reported:

I was recently made aware of the --excludedocs argument to RPM. This makes it possible to install an RPM without any contents marked as %doc in the spec file. There's no need to split out the documentation into a subpackage.

I've verified that the %lang routines that we use in SSSD produce proper entries labeled as %doc in the final output.


Given this information, I am closing the Bugzilla too.

Note You need to log in before you can comment on or make changes to this bug.